summaryrefslogtreecommitdiff
path: root/dev-ruby
diff options
context:
space:
mode:
Diffstat (limited to 'dev-ruby')
-rw-r--r--dev-ruby/thor/Manifest1
-rw-r--r--dev-ruby/thor/thor-1.2.1.ebuild67
-rw-r--r--dev-ruby/tins/Manifest1
-rw-r--r--dev-ruby/tins/tins-1.31.0.ebuild37
4 files changed, 106 insertions, 0 deletions
diff --git a/dev-ruby/thor/Manifest b/dev-ruby/thor/Manifest
index 0a5b9f391cf4..1f4c8fe78d1e 100644
--- a/dev-ruby/thor/Manifest
+++ b/dev-ruby/thor/Manifest
@@ -1 +1,2 @@
DIST thor-git-1.1.0.tgz 98252 BLAKE2B 1537cfe6e7cc0d92cc8bde56f0e2acf06b6ee4cb366a5686bb62de43dd15709a4aeaf1b30c3dfa71a6d6c7570e702deeebab6da324204388ac427337514be3f0 SHA512 d1872a834478c5a2054dde6f55e93f6765fd628536f99f888bd7495436c88658537d48c44ef1e5ad6d1388edfa294ea2a3f3cbde32c19b7d2253b78bc62bf9d0
+DIST thor-git-1.2.1.tgz 96638 BLAKE2B 03826d2545c61f5fd433325bc65b244921fd0ed0f030ea173fa6f558ca9fd62ac52dca829c66de32569321b3d52353f306559fa34c34e472b1aa52184ba3d812 SHA512 88e58b6ca6c812cb84ab59e0ee8afcd8fa70b6c24d403cd5ea05d1d40ac30e85f2c7412611cc176eb541d16878e309d25c7e4284f64c760475925ffe359250b9
diff --git a/dev-ruby/thor/thor-1.2.1.ebuild b/dev-ruby/thor/thor-1.2.1.ebuild
new file mode 100644
index 000000000000..3909b4a435c3
--- /dev/null
+++ b/dev-ruby/thor/thor-1.2.1.ebuild
@@ -0,0 +1,67 @@
+# Copyright 2000-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby26 ruby27 ruby30"
+
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+RUBY_FAKEGEM_DOCDIR="rdoc"
+RUBY_FAKEGEM_EXTRADOC="README.md"
+RUBY_FAKEGEM_BINWRAP="thor"
+
+RUBY_FAKEGEM_GEMSPEC="thor.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="A scripting framework that replaces rake and sake"
+HOMEPAGE="http://whatisthor.com/"
+
+SRC_URI="https://github.com/erikhuda/${PN}/archive/v${PV}.tar.gz -> ${PN}-git-${PV}.tgz"
+
+LICENSE="MIT"
+SLOT="$(ver_cut 1)"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux"
+IUSE="doc"
+
+USE_RUBY="ruby26 ruby27" ruby_add_bdepend "
+ test? (
+ dev-ruby/childlabor
+ dev-ruby/webmock
+ )"
+
+RDEPEND+=" !<dev-ruby/thor-0.20.3-r1:0"
+
+all_ruby_prepare() {
+ # Remove rspec default options (as we might not have the last
+ # rspec).
+ rm .rspec || die
+
+ # Remove Bundler
+ #rm Gemfile || die
+ sed -i -e '/[Bb]undler/d' Thorfile || die
+
+ # Remove mandatory coverage collection using simplecov which is not
+ # packaged.
+ sed -i -e '/require .simplecov/,/^end/ s:^:#:' spec/helper.rb || die
+
+ # Avoid a spec that requires UTF-8 support, so LANG=C still works,
+ # bug 430402
+ sed -i -e '/uses maximum terminal width/,/end/ s:^:#:' spec/shell/basic_spec.rb || die
+
+ # Avoid specs depending on git, bug 724058
+ rm -f spec/quality_spec.rb || die
+
+ # Avoid currently broken readline specs (already fixed upstream)
+ #rm -f spec/line_editor/readline_spec.rb spec/line_editor_spec.rb || die
+}
+
+each_ruby_test() {
+ case ${RUBY} in
+ *ruby30)
+ einfo "Skipping tests due to circular dependencies"
+ ;;
+ *)
+ RSPEC_VERSION=3 ruby-ng_rspec spec || die
+ ;;
+ esac
+}
diff --git a/dev-ruby/tins/Manifest b/dev-ruby/tins/Manifest
index 2477e6bb1294..8651bb968165 100644
--- a/dev-ruby/tins/Manifest
+++ b/dev-ruby/tins/Manifest
@@ -1 +1,2 @@
DIST tins-1.29.1.gem 307200 BLAKE2B b7e95094662df021d81ea7b580cee5c4ce8f9fa6a09ecf63afa2c84f42ffab62f96f37ae734392021506da373ccabbf68c2dbf55f5ff09224168e24031b1fa99 SHA512 043a49d0755bb158cfd60554b530cd315cfe869520ab02ee819addc0fea39f441960a6c416753c0e69dc0dbf122523842f940ff89dcb43e64f5825a2c0c5a53e
+DIST tins-1.31.0.gem 307712 BLAKE2B 2f4808bada4ddad9de6b6ba93c9a123d79cdd6d038bbca64712afaa46c8b031407989e522f359bbbeaa37685c65407781f34a639501b68507b9af927bc06868a SHA512 390ef8366304582e635e702f1175e8f3c59aa1051765b6a971469b4057e9d4025848c13a21961ac960c12297783e9c1f1485e13310dc117e4a04bde5c18018ed
diff --git a/dev-ruby/tins/tins-1.31.0.ebuild b/dev-ruby/tins/tins-1.31.0.ebuild
new file mode 100644
index 000000000000..fa0092a12ee4
--- /dev/null
+++ b/dev-ruby/tins/tins-1.31.0.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby26 ruby27 ruby30"
+
+RUBY_FAKEGEM_RECIPE_TEST="none"
+
+RUBY_FAKEGEM_EXTRADOC="README.md"
+
+RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="All the stuff that isn't good enough for a real library"
+HOMEPAGE="https://github.com/flori/tins"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~sparc ~x86"
+IUSE=""
+
+ruby_add_rdepend "dev-ruby/sync"
+
+ruby_add_bdepend "test? ( >=dev-ruby/test-unit-2.5.1-r1 )"
+
+each_ruby_prepare() {
+ case ${RUBY} in
+ *ruby25)
+ sed -i -e '/sync/d' ${RUBY_FAKEGEM_GEMSPEC} || die
+ ;;
+ esac
+}
+
+each_ruby_test() {
+ ruby-ng_testrb-2 -Ilib tests/*_test.rb
+}